GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::triangulate::quadedge::LastFoundQuadEdgeLocator Class Reference

`#include <LastFoundQuadEdgeLocator.h>`

Inheritance diagram for geos::triangulate::quadedge::LastFoundQuadEdgeLocator:

## Public Member Functions
| LastFoundQuadEdgeLocator (QuadEdgeSubdivision *subdiv)
virtual QuadEdge * | locate (const Vertex &v)

## Detailed Description

Locates QuadEdges in a QuadEdgeSubdivision, optimizing the search by starting in the locality of the last edge found.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Member Function Documentation

virtual QuadEdge* geos::triangulate::quadedge::LastFoundQuadEdgeLocator::locate | ( | const Vertex & | v | ) |
| virtual

Locates an edge e, such that either v is on e, or e is an edge of a triangle containing v. The search starts from the last located edge amd proceeds on the general direction of v.

Returns
  The caller does not take ownership of the returned object.

Implements geos::triangulate::quadedge::QuadEdgeLocator.

The documentation for this class was generated from the following file:

- LastFoundQuadEdgeLocator.h